## python-pytest-socket 0.7.0

=== Makefile ===
.PHONY: all clean poetry test dist testrelease release

INSTALL_STAMP := .install.stamp
POETRY := $(shell command -v poetry 2> /dev/null)
PYTEST_FLAGS :=

all: test

clean:
	@find . -name \*.pyc -delete
	@find . -name __pycache__ -delete
	@rm -fr $(INSTALL_STAMP) .cache/ .coverage .pytest_cache/ *.egg-info/ dist/ htmlcov/

install: $(INSTALL_STAMP)
poetry.lock:
$(INSTALL_STAMP): pyproject.toml poetry.lock
ifndef POETRY
	$(error "poetry is not available, please install it first.")
endif
	@poetry install
	@touch $(INSTALL_STAMP)

test: $(INSTALL_STAMP)
	@poetry run coverage run -m pytest $(PYTEST_FLAGS) ; poetry run coverage report --show-missing

dist: clean $(INSTALL_STAMP)
	@poetry build

testrelease: dist
	# Requires config: `repositories.testpypi.url = "https://test.pypi.org/simple"`
	@poetry publish --repository testpypi

release: dist
	@poetry publish

=== debian/changelog ===
python-pytest-socket (0.7.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 13 Jun 2024 01:15:00 +0000

python-pytest-socket (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1059380)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 02 Jun 2024 01:30:00 +0000

=== debian/control ===
Source: python-pytest-socket
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/miketheman/pytest-socket
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-socket.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-socket
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest,
               python3-pytest-httpbin <!nocheck>,
               python3-requests <!nocheck>,
               python3-starlette <!nocheck>,
               python3-httpx <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pytest-socket
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Pytest Plugin to disable socket calls during tests
 A plugin to use with Pytest to disable or restrict socket calls
 during tests to ensure network calls are prevented. Disables all
 network calls flowing through Python's socket interface.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-socket

# Disable tests requiring network access
export PYBUILD_TEST_ARGS = \
	-k 'not test_parametrize_with_socket_enabled_and_allow_hosts \
	and not test_global_disable_and_allow_host \
	and not test_single_cli_arg_connect_disabled_hostname_resolved \
	and not test_default_urlopen_succeeds_by_default \
	and not test_single_cli_arg_urlopen_enabled \
	and not test_single_mark_arg_urlopen_enabled \
	and not test_urllib_succeeds_by_default \
	and not test_enabled_urllib_succeeds'

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/miketheman/pytest-socket/tags .*/(\d\S+[^rc]\d+)\.tar\.gz
